package space.kklochko.simple_jbdd.tests.factories.validators;

import java.lang.reflect.Method;

public class HasNonVoidMethodsValidator extends MethodValidator {
    @Override
    protected boolean isMethodInvalid(Method method) {
        return !method.getReturnType().equals(void.class);
    }

    @Override
    public String getMessage() {
        if(!isInvalid)
            return "ok";

        return String.format("ERROR!!! Methods must have the void type!!! Check methods: %s!!!", getMethodListAsString());
    }
}

