package space.kklochko.simple_jbdd.tests.factories.validators;

import java.lang.reflect.Method;
import java.lang.reflect.Modifier;

public class HasPrivateMethodsValidator extends MethodValidator {
    @Override
    protected boolean isMethodInvalid(Method method) {
        return !Modifier.isPublic(method.getModifiers());
    }

    @Override
    public String getMessage() {
        if(!isInvalid)
            return "ok";

        return String.format("ERROR!!! Methods must be public!!! Check method: %s!!!", getMethodListAsString());
    }
}

